Bug 986144 - [abrt] gthumb-3.2.2-1.fc19: INT_cairo_surface_destroy: Process /usr/bin/gthumb was killed by signal 6 (SIGABRT)
[abrt] gthumb-3.2.2-1.fc19: INT_cairo_surface_destroy: Process /usr/bin/gthum...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
abrt_hash:210ccd31951513a3e4f724eca97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 00:41 EDT by Gus Wirth
Modified: 2015-02-17 11:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:14:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.28 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: core_backtrace (3.22 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: dso_list (17.86 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: environ (3.72 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: maps (89.56 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: open_fds (1.76 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details
File: var_log_messages (1.37 KB, text/plain)
2013-07-19 00:41 EDT, Gus Wirth
no flags Details

  None (edit)
Description Gus Wirth 2013-07-19 00:41:25 EDT
Description of problem:
Start gthumb.

View thumbnails of a directory.

Rename one of the files in the directory being viewed by gthumb, for example by using "mv" in a terminal.

Version-Release number of selected component:
gthumb-3.2.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gthumb .
crash_function: INT_cairo_surface_destroy
executable:     /usr/bin/gthumb
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 INT_cairo_surface_destroy at cairo-surface.c:930
 #5 gth_image_data_unref at gth-image-history.c:69
 #6 g_list_foreach at glist.c:949
 #7 gth_image_data_list_free at gth-image-history.c:80
 #8 gth_image_history_clear at gth-image-history.c:274
 #9 image_preloader_requested_ready_cb at gth-image-viewer-page.c:407
 #10 gth_marshal_VOID__OBJECT_OBJECT_INT_INT_POINTER at gth-marshal.c:467
 #15 assign_loaders at gth-image-preloader.c:639
 #16 gth_image_preloader_load at gth-image-preloader.c:799
 #17 gth_image_viewer_page_real_view at gth-image-viewer-page.c:927
Comment 1 Gus Wirth 2013-07-19 00:41:29 EDT
Created attachment 775615 [details]
File: backtrace
Comment 2 Gus Wirth 2013-07-19 00:41:32 EDT
Created attachment 775616 [details]
File: cgroup
Comment 3 Gus Wirth 2013-07-19 00:41:34 EDT
Created attachment 775617 [details]
File: core_backtrace
Comment 4 Gus Wirth 2013-07-19 00:41:38 EDT
Created attachment 775618 [details]
File: dso_list
Comment 5 Gus Wirth 2013-07-19 00:41:40 EDT
Created attachment 775619 [details]
File: environ
Comment 6 Gus Wirth 2013-07-19 00:41:43 EDT
Created attachment 775620 [details]
File: limits
Comment 7 Gus Wirth 2013-07-19 00:41:47 EDT
Created attachment 775621 [details]
File: maps
Comment 8 Gus Wirth 2013-07-19 00:41:49 EDT
Created attachment 775622 [details]
File: open_fds
Comment 9 Gus Wirth 2013-07-19 00:41:51 EDT
Created attachment 775623 [details]
File: proc_pid_status
Comment 10 Gus Wirth 2013-07-19 00:41:55 EDT
Created attachment 775624 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 14:00:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 11:14:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.